
#include "vuc-glade-plugin.h"

void vuc_gtk_text_buffer_set_prop (GtkTextBuffer * buffer, gchar * name, gchar * value)
{
  GtkTextIter start, end;
  GtkTextTag * tag= gtk_text_buffer_create_tag(buffer, NULL, name, value, NULL);

  gtk_text_buffer_get_bounds(buffer, &start, &end);
  gtk_text_buffer_apply_tag(buffer, tag, &start, &end);
}

VucGladeProjectPlugin * vuc_glade_project_get_data (GladeProject * project)
{
  if (!project->plugin) {
    GtkTextBuffer * txt= gtk_text_buffer_new(NULL);
    vuc_gtk_text_buffer_set_prop(txt, "font", VUC_GLADE_EDIT_FONT);

    project->plugin= g_malloc0(sizeof(VucGladeProjectPlugin));
    ((VucGladeProjectPlugin *)project->plugin)->lang= -1;
    ((VucGladeProjectPlugin *)project->plugin)->header= txt;
    ((VucGladeProjectPlugin *)project->plugin)->exe_args= gtk_entry_buffer_new(NULL, 0);
  }
  return project->plugin;
}

